Supported Browsers

In order to have the best experience using the Stahls' website we suggest you install a modern supported browser.

To install or update a supported browser, please visit any of the browser websites listed below:

You can always bookmark the Browse Happy website as well, which has links to the latest versions of the most modern supported browsers.

Why update your browser?

  • Certain features of the site may not function properly with unsupported browser versions
  • Up-to-date browser security allows easy access to browsinge and shopping throughout the Stahls' website
  • Having the latest updated browser helps defend against hackers and identity thieves

Always be sure to keep your operating system up-to-date as well.

For security reasons, we recommend using the most current browser with the most up-to-date desktop and mobile OS available to you.

  • Android 4.4 or higher
  • Apple iOS 9 or higher, macOS 10.11 or higher
  • Windows 10 or higher
Apple Android Windows

You will also need to make sure you have Javascript enabled to use the functionality of the Stahls' website. Lastly, the PDF content on our site requires Adobe Acrobat Reader 6.0 or later.

Browse Happy